routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});
Route::resource('moveis', App\Http\Controllers\MoveisController::class);
Route::resource('category', App\Http\Controllers\CategoryController::class);

Route::middleware(['auth:sanctum', 'verified'])->get('/dashboard', function () {
    return view('dashboard');
})->name('dashboard');



Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
//route::get('category','App\Http\Controllers\CategoryController@index');
//route::get('add-category','App\Http\Controllers\CategoryController@create');
//route::put('/add-category','App\Http\Controllers\CategoryController@');

resources/views/move/create.blade.php
@extends('move.layout')
@section('content')
    <div class="container">
        <!-- -->
        <img src="/images/feature.jpg" alt="MOVIE">
        <form action="{{ route('moveis.store') }}" method="POST" enctype="multipart/form-data">
            @csrf
            <div class="form-group ">
                <label for="exampleFormControlInput1">Movie name</label>
                <input type="text" class="form-control" name="name" value="{{ old('name') }}" placeholder="Movie name">
            </div>
            <div class="form-group">
                <label for="exampleFormControlInput1">Movie Catagory</label>
                <select class="form-control" name="category_id">
                    @foreach ($category as $cat)
                        <option value="{{ $cat->id }}" {{ $cat->id == old('category_id') ? 'selected' : '' }}>{{ $cat->name }}</option>
                    @endforeach
                </select>
            </div>
            <div class="form-group">
                <label for="exampleFormControlTextarea1">Movie bio</label>
                <textarea class="form-control" name="bio"  rows="2">{{ old('bio') }}</textarea>
            </div>
            <div class="form-group ">
                  <label for="exampleFormControlInput1">Movie Cover photo</label>
                <input type="file" name="image_path" class="form-control">
            </div>
            <div class="form-group ">
                <label for="exampleFormControlInput1">Movie rating</label>
                <input type="number" class="form-control" name="rating" value="{{ old('rating') }}" min=" 1" max="10">
            </div>
            <div class="form-group ">
                <label for="exampleFormControlInput1">Movie actor</label>
                <input type="text" class="form-control" name="actor" value="{{ old('actor') }}" placeholder="Movie actor">
            </div>
            <div class="form-group ">
                <button type="submit" class="btn btn-primary">save</button>
            </div>

        </form>
        @if ($errors->any())
            @foreach ($errors->all() as $error)
                <div class="alert alert-danger" role="alert">
                    {{ $error }}
                </div>
            @endforeach
        @endif
        <br><br><br><br><br><br>
    </div>
@endsection

resources/views/move/edit.blade.php
@extends('move.layout')
@section('content')
    <div class="container">
        <img src="/images/feature.jpg" alt="...">


        <form action="{{ route('moveis.update', $moveiss->id) }}" method="post" encrypted="multipart/form-data">
            @method('PUT')
            <!-- name -->
            <div class="form-group ">
                <label for="exampleFormControlInput1">Edit Movie name</label>
                <input type="text" value="{{ $moveiss->name }}" class="form-control" name="name" placeholder="Movie name">
            </div>
            <!-- category -->
            <div class="form-group">
                <label for="exampleFormControlInput1">Movie Catagory</label>
                <select class="form-control" name="category_id">
                    @foreach ($category as $cat)
                        <option value="{{ $cat->id }}" {{ $cat->id == old('category_id') ? 'selected' : '' }}>{{ $cat->name }}</option>
                    @endforeach
                </select>
            </div>

            {{-- <div class="form-group">
                <label for="exampleFormControlInput1">Edit Movie Catagory</label>
                <input type="text" class="form-control" value="{{ $moveiss->category }}" name="category"
                    placeholder="Movie Catagory">
            </div> --}}
            <!-- bio -->
            <div class="form-group">
                <label for="exampleFormControlTextarea1">Edit Movie bio</label>
                <textarea class="form-control" name="bio" rows="2">{{ $moveiss->bio }}</textarea>
            </div>
            <!-- image -->
            <div class="form-group">
                <label for="exampleFormControlInput1">Edit Movie image</label>
                <input type="file" class="form-control" value="{{ $moveiss->image_path }}" name="image_path"
                    placeholder="Movie Catagory">
            </div>
            <!-- rating -->
            <div class="form-group">
                <label for="exampleFormControlInput1"> Edit Movie rating </label>
                <input type="number" class="form-control" value="{{ $moveiss->rating }}" name="rating" max="10" min="1">
            </div>
            <!-- actor -->
            <div class="form-group">
                <label for="exampleFormControlInput1">Edit Movie Actor</label>
                <input type="text" class="form-control" value="{{ $moveiss->actor }}" name="actor">
            </div>
            <!-- save -->
            <div class="form-group ">
                <button type="submit" class="btn btn-primary">save</button>
            </div>
            @csrf

        </form>
        <br><br><br><br><br><br>
    </div>
@endsection

resources/views/move/index.blade.php
@extends('move.layout')

@section('content')

    <div class="jumbotron container">
        <img src="/images/feature.jpg" alt="...">
        <br>
        <p class="lead">Watching movies can actually spark drive into your life. Watching normal people change into heroes
            during the story can inspire or encourage you to do the same in your daily life. </p>
        <a class="btn btn-primary btn-lg" href="{{ route('moveis.create') }}" role="button">Add Movie</a>
        <a class="btn btn-primary btn-lg" href="{{ route('category.create') }}" role="button">Add Category</a>
    </div>
    <div class="container">
        @if ($message = Session::get('success'))
            <div class="alert alert-primary" role="alert">
                {{ $message }}
            </div>
        @endif
    </div>

    <div class="container">
        <table class="table">
            <thead class="thead-dark">
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">movie name</th>
                    <th scope="col">movie catagory</th>
                    <th scope="col">movie rating</th>
                    <th scope="col">movie actor</th>
                    <th scope="col" style="width: 400px">Actions</th>
                </tr>
            </thead>
            <tbody>

                @foreach ($moveiss as $item)
                    <tr>
                        <th scope="row">{{ $item->id }}</th>
                        <td>{{ $item->name }}</td>
                        <td>{{ $item->category->name ?? '' }}</td>
                        <td>{{ $item->rating }}</td>
                        <td>{{ $item->actor }}</td>
                        <td>
                            <div class="row">
                                <div class="col-sm">
                                    <a class="btn btn-success" href="{{ route('moveis.edit', $item->id) }}"> Edit </a>
                                </div>
                                <div class="col-sm">
                                    <a class="btn btn-primary" href="{{ route('moveis.show', $item->id) }}"> Show </a>
                                </div>
                                <div class="col-sm">
                                    <form action="{{ route('moveis.destroy', $item->id) }}" method="post">
                                        @method('DELETE')
                                        @csrf
                                        <button type="submit" class="btn btn-danger">delete </button>
                                    </form>
                                </div>
                            </div>
                        </td>

                    </tr>
                @endforeach
            </tbody>
        </table>
        <br><br><br><br><br><br>
    </div>
@endsection

resources/views/move/layout.blade.php
<!DOCTYPE html>
<html>

<head>
    <title>Moveis Website</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css"
        integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">

</head>

<body>
    <ul class="container">
        <li class="nav-item">
            <a class="nav-link active" href="{{ route('moveis.index') }}">Movies admin</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="{{ route('category.index') }}">Catgeory admin</a>
        </li>

    </ul>
    @yield('content')
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
        integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous">
    </script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-Piv4xVNRyMGpqkS2by6br4gNJ7DXjqk09RmUpJ8jgGtD7zP9yug3goQfGII0yAns" crossorigin="anonymous">
    </script>
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
        integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous">
    </script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
        integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous">
    </script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js"
        integrity="sha384-+YQ4JLhjyBLPDQt//I+STsc9iw4uQqACwlvpslubQzn4u2UU2UFM80nGisd026JF" crossorigin="anonymous">
    </script>
</body>

</html>

resources/views/move/show.blade.php
@extends('move.layout')
@section('content')
    <div class="container">
        <img src="/images/feature.jpg" alt="...">
        <div class="container">
            <table class="table">
                <thead>
                    <tr>
                        <th scope="col">#</th>
                        <th scope="col">Movie name</th>
                        <th scope="col">Movie category</th>
                        <th scope="col">Movie bio</th>
                        <th scope="col">Movie Image</th>
                        <th scope="col">Movie Rating</th>
                        <th scope="col">Movie Actor</th>
                    </tr>
                </thead>
                <tbody>
                    @php
                        $i = 0;
                    @endphp

                    <tr>

                        <th scope="row">{{ ++$i }}</th>
                        <td>{{ $moveiss->name }}</td>
                        <td>{{ $category->name }}</td>
                        <td>{{ $moveiss->bio }}</td>
                        {{--  <td>{{ $moveiss->image_path }}</td>  --}}
                        <td><img src="/{{$moveiss->image_path}}" alt="Movie" style="width:350px;height:200px" ></td>
                        {{--  <td><img src="{{ url('storage/images/'.$moveiss->image_path }}" alt="Movie">{{$moveiss->image_path}}</td>  --}}
                        <td>{{ $moveiss->rating }}</td>
                        <td>{{ $moveiss->actor }}</td>

                    </tr>
                </tbody>
            </table>
        </div>
        <br><br><br><br><br><br><br><br>

    </div>
@endsection